#ifndef LIB_HEADER
#define LIB_HEADER

#ifdef _WIN32
#ifdef FS_LIB_EXPORT
#define LIB_API __declspec(dllexport)
#else
#define LIB_API __declspec(dllimport)
#endif
#else
#define LIB_API
#endif

#ifdef __cplusplus
extern "C" {
#endif

#include <lauxlib.h>
#include <lua.h>
#include <lualib.h>

LIB_API int luaopen_lua_fs(lua_State* L);
LIB_API int file_exists(lua_State* L);
LIB_API int is_regular_file(lua_State* L);
LIB_API int copy_file(lua_State* L);
LIB_API int delete_file(lua_State* L);
LIB_API int get_dir_files(lua_State* L);

#ifdef __cplusplus
}
#endif

#endif   // LIB_HEADER
